# Cognitive Services Language SDK

This is the AutoRest configuration file the Cognitive Services Language SDK.

> see https://aka.ms/autorest

## Releases

The current preview release of Language is 2022-10-01-preview.

<!-- The current stable release of Language is 2022-05-01. -->

```yaml
tag: release_2022-10-01-preview
add-credentials: true
clear-output-folder: true
openapi-type: data-plane
directive:
  - suppress: LongRunningResponseStatusCode
    reason: The validation tools do not properly recognize 202 as a supported response code.
```

### Release

``` yaml $(tag) == 'release_2022-10-01-preview'
input-file:
  - analyzetext.json
  - analyzetext-authoring.json
  - analyzeconversations.json
  - analyzeconversations-authoring.json
  - questionanswering.json
  - questionanswering-authoring.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

``` yaml $(tag) == 'release_2022-07-01-preview'
input-file:
  - analyzetext.json
  - analyzetext-authoring.json
  - analyzeconversations.json
  - analyzeconversations-authoring.json
  - questionanswering.json
  - questionanswering-authoring.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net-track2
  - repo: azure-sdk-for-python
```

## Suppression

``` yaml
directive:
  - suppress: MISSING_APIS_IN_DEFAULT_TAG
    reason: Not every service will ship new versions within the Language pillar.
```
