# Dashboard

> see https://aka.ms/autorest

This is the AutoRest configuration file for Dashboard.

---
## Getting Started
To build the SDK for Dashboard, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---
## Configuration
### Basic Information
These are the global settings for the Dashboard API.

```yaml
title: DashboardManagementClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2022-08-01
```

### Tag: package-2022-08-01

These settings apply only when `--tag=package-2022-08-01` is specified on the command line.

```yaml $(tag) == 'package-2022-08-01'
input-file:
  - Microsoft.Dashboard/stable/2022-08-01/grafana.json
```

### Tag: package-2021-09-01-preview

These settings apply only when `--tag=package-2021-09-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-09-01-preview'
input-file:
    - Microsoft.Dashboard/preview/2021-09-01-preview/grafana.json
```

### Tag: package-2022-05-01-preview

These settings apply only when `--tag=package-2022-05-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2022-05-01-preview'
input-file:
    - Microsoft.Dashboard/preview/2022-05-01-preview/grafana.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net-track2
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-resource-manager-schemas
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-java
  - repo: azure-powershell
```
