# Device Update

> see https://aka.ms/autorest

This is the AutoRest configuration file for deviceupdate.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the deviceupdate.

```yaml
openapi-type: arm
openapi-subtype: rpaas
tag: package-2022-10-01
```

### Tag: package-2022-10-01

These settings apply only when `--tag=package-2022-10-01` is specified on the command line.

```yaml $(tag) == 'package-2022-10-01'
input-file:
  - Microsoft.DeviceUpdate/stable/2022-10-01/deviceupdate.json
```

### Tag: package-2022-04-01-preview

These settings apply only when `--tag=package-2022-04-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2022-04-01-preview'
input-file:
  - Microsoft.DeviceUpdate/preview/2022-04-01-preview/deviceupdate.json
```

### Tag: package-2020-03-01-preview

These settings apply only when `--tag=package-2020-03-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-03-01-preview'
input-file:
  - Microsoft.DeviceUpdate/preview/2020-03-01-preview/deviceupdate.json
```

## Suppression

``` yaml
directive:
  - suppress: ENUM_CASE_MISMATCH
    where: $.definitions.Identity.properties.type
    from: deviceupdate.json
    reason: Managed Identity type can be case in-sensitive
  - suppress: BodyTopLevelProperties
    from: deviceupdate.json
    where: $.definitions.PrivateEndpointConnectionProxy.properties
    reason: Internal NRP resource, all properties are top level properties
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net-track2
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_deviceupdate']
  - repo: azure-powershell
```

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)
