# Azure Digital Twins

> see https://aka.ms/autorest

This is the AutoRest configuration file for Azure Digital Twins.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for Azure Digital Twins.

``` yaml
openapi-type: data-plane
tag: package-2022-05-31
```


### Tag: package-2022-05-31

These settings apply only when `--tag=package-2022-05-31` is specified on the command line.

```yaml $(tag) == 'package-2022-05-31'
input-file:
  - Microsoft.DigitalTwins/stable/2022-05-31/digitaltwins.json
```

### Tag: package-2021-06-30-preview

These settings apply only when `--tag=package-2021-06-30-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-06-30-preview'
input-file:
  - Microsoft.DigitalTwins/preview/2021-06-30-preview/digitaltwins.json
```

### Tag: package-2020-10-31

These settings apply only when `--tag=package-2020-10-31` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-31'
input-file:
  - Microsoft.DigitalTwins/stable/2020-10-31/digitaltwins.json
```

### Tag: package-2020-05-31-preview

These settings apply only when `--tag=package-2020-05-31-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-05-31-preview'
input-file:
  - Microsoft.DigitalTwins/preview/2020-05-31-preview/digitaltwins.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net-track2
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

### Java

See configuration in [readme.java.md](./readme.java.md)

## Multi-API/Profile support for AutoRest v3 generators

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/Microsoft.DigitalTwins/preview/2020-05-31-preview/digitaltwins.json

```

If there are files that should not be in the `all-api-versions` set,
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```
