# HybridDataManager

> see https://aka.ms/autorest

This is the AutoRest configuration file for HybridDataManager.



---
## Getting Started
To build the SDK for HybridDataManager, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the HybridDataManager API.

``` yaml
openapi-type: arm
tag: package-2019-06
```


### Tag: package-2019-06

These settings apply only when `--tag=package-2019-06` is specified on the command line.

``` yaml $(tag) == 'package-2019-06'
input-file:
- Microsoft.HybridData/stable/2019-06-01/hybriddata.json
directive:
  - suppress:
    - R1001 #to suppress (OperationIdNounVerb/R1001/SDKViolation)
    - R2062 #to suppress (XmsResourceInPutResponse/R2062/ARMViolation)
```

### Tag: package-2016-06

These settings apply only when `--tag=package-2016-06` is specified on the command line.

``` yaml $(tag) == 'package-2016-06'
input-file:
- Microsoft.HybridData/stable/2016-06-01/hybriddata.json
directive:
  - suppress:
    - R1001 #to suppress (OperationIdNounVerb/R1001/SDKViolation)
    - R2062 #to suppress (XmsResourceInPutResponse/R2062/ARMViolation)
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_hybriddatamanager']
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```


## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.HybridData
  output-folder: $(csharp-sdks-folder)/hybriddatamanager/Microsoft.Azure.Management.HybridDataManager/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
java:
  azure-arm: true
  fluent: true
  namespace: com.microsoft.azure.management.hybriddata
  license-header: MICROSOFT_MIT_NO_CODEGEN
  payload-flattening-threshold: 1
  output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-hybriddatamanager
```
## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## Python

These settings apply only when `--python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.
Use `--python-mode=update` if you already have a setup.py and just want to update the code itself.

``` yaml $(python)
python-mode: create
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  namespace: azure.mgmt.hybriddatamanager
  package-name: azure-mgmt-hybriddatamanager
  title: HybridDataManagementClient
  description: The HybridDataManager Client.
  clear-output-folder: true
```
``` yaml $(python) && $(python-mode) == 'update'
python:
  no-namespace-folders: true
  output-folder: $(python-sdks-folder)/azure-mgmt-hybriddatamanager/azure/mgmt/hybriddatamanager
```
``` yaml $(python) && $(python-mode) == 'create'
python:
  basic-setup-py: true
  output-folder: $(python-sdks-folder)/azure-mgmt-hybriddatamanager
```



