
## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

```yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 1
  clear-output-folder: true
  client-side-validation: false
  namespace: Microsoft.Kubernetes
  output-folder: $(csharp-sdks-folder)/hybridkubernetes/Microsoft.Azure.Management.Kubernetes/src/Generated

directive: 
  - reason: Altering the incorrect null check for required fields in an optional body in listClusterUserCredentials
    where: $
    transform: > 
      if( /AuthenticationDetails clientAuthenticationDetails/g.exec( $ ) ) {
        $ = $.replace( /(if \(value == null\)[\s]+{[\s]+throw new ValidationException\(ValidationRules.CannotBeNull, "value"\);[\s]+}[\s]+)AuthenticationDetails/g, "AuthenticationDetails" );
      } 
  
```
