# Virtual Machine Image Builder

> see https://aka.ms/autorest

This is the AutoRest configuration file for Virtual Machine Image Builder.

---

## Getting Started

To build the SDK for Virtual Machine Image Builder, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the Virtual Machine Image Builder API.

``` yaml
title: ImageBuilderClient
description: Azure Virtual Machine Image Builder Client
openapi-type: arm
tag: package-2022-02
azure-arm: true
```


### Tag: package-2022-02

These settings apply only when `--tag=package-2022-02` is specified on the command line.

```yaml $(tag) == 'package-2022-02'
input-file:
  - Microsoft.VirtualMachineImages/stable/2022-02-14/imagebuilder.json
```
### Tag: package-2021-10

These settings apply only when `--tag=package-2021-10` is specified on the command line.

``` yaml $(tag) == 'package-2021-10'
input-file:
  - Microsoft.VirtualMachineImages/stable/2021-10-01/imagebuilder.json
```

### Tag: package-2020-02

These settings apply only when `--tag=package-2020-02` is specified on the command line.

``` yaml $(tag) == 'package-2020-02'
input-file:
  - Microsoft.VirtualMachineImages/stable/2020-02-14/imagebuilder.json
```

### Tag: package-preview-2019-05

These settings apply only when `--tag=package-preview-2019-05` is specified on the command line.

``` yaml $(tag) == 'package-preview-2019-05'
input-file:
  - Microsoft.VirtualMachineImages/preview/2019-05-01-preview/imagebuilder.json
```

### Tag: package-2018-02

These settings apply only when `--tag=package-2018-02` is specified on the command line.

``` yaml $(tag) == 'package-2018-02'
input-file:
- Microsoft.VirtualMachineImages/preview/2018-02-01-preview/imagebuilder.json
```

### Tag: package-2019-02

These settings apply only when `--tag=package-2019-02` is specified on the command line.

``` yaml $(tag) == 'package-2019-02'
input-file:
- Microsoft.VirtualMachineImages/preview/2019-02-01-preview/imagebuilder.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)