# logz

> see https://aka.ms/autorest

This is the AutoRest configuration file for logz.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the logz.

```yaml
openapi-type: arm
openapi-subtype: rpaas
tag: package-2020-10-01
```

### Tag: package-2022-01-01-preview

These settings apply only when `--tag=package-2022-01-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2022-01-01-preview'
input-file:
  - Microsoft.Logz/preview/2022-01-01-preview/logz.json
```

---

### Tag: package-2020-10-01-preview

These settings apply only when `--tag=package-2020-10-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-10-01-preview'
input-file:
  - Microsoft.Logz/preview/2020-10-01-preview/logz.json
```

---

### Tag: package-2020-10-01

These settings apply only when `--tag=package-2020-10-01` is specified on the command line.

```yaml $(tag) == 'package-2020-10-01'
input-file:
  - Microsoft.Logz/stable/2020-10-01/logz.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-resource-manager-schemas
  - repo: azure-cli-extensions
  - repo: azure-powershell
```
## Suppression
```
directive:
  - suppress: SECRET_PROPERTY
    from:
      - Microsoft.Logz/preview/2022-01-01-preview/logz.json
    where:
      - $.definitions.VMExtensionPayload.properties.apiKey
    reason: Secrets are OK to return in a POST response.
  - suppress: SECRET_PROPERTY
    from:
      - Microsoft.Logz/preview/2020-10-01-preview/logz.json
    where:
      - $.definitions.VMExtensionPayload.properties.apiKey
    reason: Secrets are OK to return in a POST response.
  - suppress: SECRET_PROPERTY
    from:
      - Microsoft.Logz/stable/2020-10-01/logz.json
    where:
      - $.definitions.VMExtensionPayload.properties.apiKey
    reason: Secrets are OK to return in a POST response.
```

## Az

See configuration in [readme.az.md](./readme.az.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)
