# M365SecurityAndCompliance

> see https://aka.ms/autorest

This is the AutoRest configuration file for M365SecurityAndCompliance.



---
## Getting Started
To build the SDK for M365SecurityAndCompliance, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the M365SecurityAndCompliance API.

``` yaml
title: M365SecurityAndComplianceClient
description: Security And Compliance Client
openapi-type: arm
tag: package-2021-03-25-preview
```

### Tag: package-2021-03-25-preview

These settings apply only when `--tag=package-2021-03-25-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-03-25-preview'
input-file:
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/common-types.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForEDMUpload.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForM365ComplianceCenter.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForM365SecurityCenter.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForO365ManagementActivityAPI.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForSCCPowershell.json
- Microsoft.M365SecurityAndCompliance/preview/2021-03-25-preview/privateLinkServicesForMIPPolicySync.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-python-track2
  - repo: azure-resource-manager-schemas
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.M365SecurityAndCompliance
  output-folder: $(csharp-sdks-folder)/m365securityandcompliance/Microsoft.Azure.Management.M365SecurityAndCompliance/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.m365securityandcompliance
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-m365securityandcompliance
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2021-03-25-preview
```

### Tag: package-2021-03-25-preview and java

These settings apply only when `--tag=package-2021-03-25-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-03-25-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.m365securityandcompliance.v2021_01_11
  output-folder: $(azure-libraries-for-java-folder)/sdk/m365securityandcompliance/mgmt-v2021_01_11
regenerate-manager: true
generate-interface: true
```

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2021-03-25-preview
```

### Tag: package-2021-03-25-preview and java

These settings apply only when `--tag=package-2021-03-25-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-03-25-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.m365securityandcompliance.v2021_03_08
  output-folder: $(azure-libraries-for-java-folder)/sdk/m365securityandcompliance/mgmt-v2021_03_08
regenerate-manager: true
generate-interface: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)





