# MachineLearningCompute

> see https://aka.ms/autorest

This is the AutoRest configuration file for Machine Learning Compute.



---
## Getting Started
To build the SDK for EventHub, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the Machine Learning Compute API.

``` yaml
openapi-type: arm
tag: package-2017-08-preview
```


### Tag: package-2017-08-preview

These settings apply only when `--tag=package-2017-08-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-08-preview'
input-file:
- Microsoft.MachineLearningCompute/preview/2017-08-01-preview/machineLearningCompute.json
```


### Tag: package-2017-06-preview

These settings apply only when `--tag=package-2017-06-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-06-preview'
input-file:
- Microsoft.MachineLearningCompute/preview/2017-06-01-preview/machineLearningCompute.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```


## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.MachineLearningCompute
  output-folder: $(csharp-sdks-folder)/machinelearningcompute/Microsoft.Azure.Management.MachineLearningCompute/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.machinelearning.compute
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-machinelearning/compute
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-08-preview
```

### Tag: package-2017-08-preview and java

These settings apply only when `--tag=package-2017-08-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-08-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.machinelearningcompute.v2017_08_01_preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/machinelearningcompute/mgmt-v2017_08_01_preview
regenerate-manager: true
generate-interface: true
```





