# Azure Red Hat OpenShift

> see https://aka.ms/autorest

This is the AutoRest configuration file for Azure Red Hat OpenShift.

---

## Getting Started

To build the SDK for Azure Red Hat OpenShift, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the Azure Red Hat OpenShift API.

``` yaml
openapi-type: arm
tag: package-2022-04-01
```

### Tag: package-2020-04-30

These settings apply only when `--tag=package-2020-04-30` is specified on the command line.

``` yaml $(tag) == 'package-2020-04-30'
input-file:
  - Microsoft.RedHatOpenShift/stable/2020-04-30/redhatopenshift.json
```

### Tag: package-2021-09-01-preview

These settings apply only when `--tag=package-2021-09-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-09-01-preview'
input-file:
  - Microsoft.RedHatOpenShift/preview/2021-09-01-preview/redhatopenshift.json
```

### Tag: package-2022-04-01

These settings apply only when `--tag=package-2022-04-01` is specified on the command line.

``` yaml $(tag) == 'package-2022-04-01'
input-file:
  - Microsoft.RedHatOpenShift/stable/2022-04-01/redhatopenshift.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)
