# Reservations

> see https://aka.ms/autorest

This is the AutoRest configuration file for Reservations RP.

---

## Getting Started

To build the SDK for Reservations, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the Reservations API.

``` yaml
openapi-type: arm
tag: package-2022-03
```


### Tag: package-2022-03

These settings apply only when `--tag=package-2022-03` is specified on the command line.

```yaml $(tag) == 'package-2022-03'
input-file:
  - Microsoft.Capacity/stable/2022-03-01/reservations.json
  - Microsoft.Capacity/stable/2020-10-25/quota.json
```
### Tag: package-2021-07-01

These settings apply only when `--tag=package-2021-07-01` is specified on the command line.

``` yaml $(tag) == 'package-2021-07-01'
input-file:
  - Microsoft.Capacity/stable/2021-07-01/reservations.json
  - Microsoft.Capacity/stable/2020-10-25/quota.json
```

### Tag: package-2020-10-25

These settings apply only when `--tag=package-2020-10-25` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-25'
input-file:
  - Microsoft.Capacity/preview/2020-10-01-preview/reservations.json
  - Microsoft.Capacity/stable/2020-10-25/quota.json
```

### Tag: package-2020-11-preview

These settings apply only when `--tag=package-2020-11-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-11-preview'
input-file:
  - Microsoft.Capacity/preview/2019-07-19/quota.json
  - Microsoft.Capacity/preview/2020-10-01-preview/reservations.json
  - Microsoft.Capacity/preview/2020-11-15-preview/reservationsChangeDirectory.json
```

### Tag: package-2020-10-preview

These settings apply only when `--tag=package-2020-10-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-preview'
input-file:
  - Microsoft.Capacity/preview/2019-07-19/quota.json
  - Microsoft.Capacity/preview/2020-10-01-preview/reservations.json
```

### Tag: package-preview-2019-07-19

These settings apply only when `--tag=package-preview-2019-07-19` is specified on the command line.

``` yaml $(tag) == 'package-preview-2019-07-19'
input-file:
  - Microsoft.Capacity/preview/2019-07-19/quota.json
  - Microsoft.Capacity/preview/2019-04-01/reservations.json
```

### Tag: package-preview-2019-04

These settings apply only when `--tag=package-preview-2019-04` is specified on the command line.

``` yaml $(tag) == 'package-preview-2019-04'
input-file:
  - Microsoft.Capacity/preview/2019-04-01/reservations.json
```

### Tag: package-2018-06

These settings apply only when `--tag=package-2018-06` is specified on the command line.

``` yaml $(tag) == 'package-2018-06'
input-file:
- Microsoft.Capacity/preview/2018-06-01/reservations.json
```

### Tag: package-2017-11

These settings apply only when `--tag=package-2017-11` is specified on the command line.

``` yaml $(tag) == 'package-2017-11'
input-file:
- Microsoft.Capacity/stable/2017-11-01/reservations.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net-track2
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
  - repo: azure-sdk-for-java
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.Reservations
  output-folder: $(csharp-sdks-folder)/reservations/Microsoft.Azure.Management.Reservations/src/Generated
  clear-output-folder: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## CLI

See configuration in [readme.cli.md](./readme.cli.md)

## AZ

See configuration in [readme.az.md](./readme.az.md)

## Go

See configuration in [readme.go.md](./readme.go.md)
