# SearchManagementClient

> see https://aka.ms/autorest

This is the AutoRest configuration file for SearchManagementClient.



---
## Getting Started
To build the SDK for SearchManagementClient, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the SearchManagementClient API.

``` yaml
openapi-type: arm
tag: package-2020-08
```

### Tag: package-2020-08

These settings apply only when `--tag=package-2020-08` is specified on the command line.
``` yaml $(tag) == 'package-2020-08'
input-file:
- Microsoft.Search/stable/2020-08-01/search.json
```

### Tag: package-2020-03

These settings apply only when `--tag=package-2020-03` is specified on the command line.
``` yaml $(tag) == 'package-2020-03'
input-file:
- Microsoft.Search/stable/2020-03-13/search.json
```

### Tag: package-2015-08

These settings apply only when `--tag=package-2015-08` is specified on the command line.

``` yaml $(tag) == 'package-2015-08'
input-file:
- Microsoft.Search/stable/2015-08-19/search.json
```

### Tag: package-2015-02

These settings apply only when `--tag=package-2015-02` is specified on the command line.

``` yaml $(tag) == 'package-2015-02'
input-file:
- Microsoft.Search/stable/2015-02-28/search.json
```

### Tag: package-2021-04-preview

These settings apply only when `--tag=package-2021-04-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-04-preview'
input-file:
- Microsoft.Search/preview/2021-04-01-preview/search.json
```

### Tag: package-2020-08-preview

These settings apply only when `--tag=package-2020-08-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-08-preview'
input-file:
- Microsoft.Search/preview/2020-08-01-preview/search.json
```

### Tag: package-2019-10-preview

These settings apply only when `--tag=package-2019-10-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-10-preview'
input-file:
- Microsoft.Search/preview/2019-10-01-preview/search.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_search']
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```


## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.Search
  output-folder: $(csharp-sdks-folder)/search/Microsoft.Azure.Management.Search/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.search
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-search
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2015-02
  - tag: package-2015-08
  - tag: package-2020-03
  - tag: package-2020-08
```

### Tag: package-2015-02 and java

These settings apply only when `--tag=package-2015-02 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2015-02' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.search.v2015_02_28
  output-folder: $(azure-libraries-for-java-folder)/sdk/search/mgmt-v2015_02_28
regenerate-manager: true
generate-interface: true
```

### Tag: package-2015-08 and java

These settings apply only when `--tag=package-2015-08 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2015-08' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.search.v2015_08_19
  output-folder: $(azure-libraries-for-java-folder)/sdk/search/mgmt-resource-manager/v2015_08_19
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-03 and java

These settings apply only when `--tag=package-2020-03 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2020-03' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.search.v2020_03_13
  output-folder: $(azure-libraries-for-java-folder)/sdk/search/mgmt-resource-manager/v2020_03_13
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-08 and java

These settings apply only when `--tag=package-2020-08 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2020-08' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.search.v2020_08_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/search/mgmt-resource-manager/v2020_08_01
regenerate-manager: true
generate-interface: true
```
