# Microsoft.WorkloadMonitor

> see https://aka.ms/autorest

This is the AutoRest configuration file for Microsoft.WorkloadMonitor.

---
## Getting Started
To build the SDK for Microsoft.WorkloadMonitor, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the API.

``` yaml
openapi-type: arm
tag: package-2020-01-13-preview
```


### Tag: package-2018-08-31-preview

These settings apply only when `--tag=package-2018-08-31-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-08-31-preview'
input-file:
- Microsoft.WorkloadMonitor/preview/2018-08-31-preview/Microsoft.WorkloadMonitor.json
```

``` yaml
directive:
- suppress:
    - R3026 # Create/Update/Delete operations are not exposed.
```

### Tag: package-2020-01-13-preview

These settings apply only when `--tag=package-2020-01-13-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-01-13-preview'
input-file:
- Microsoft.WorkloadMonitor/preview/2020-01-13-preview/Microsoft.WorkloadMonitor.json
```

``` yaml
directive:
- suppress:
    - R3026 # Create/Update/Delete operations are not exposed.
```

---

## Suppression:
``` yaml
directive:
  - from: Microsoft.WorkloadMonitor.json
    suppress:
      - R4017 # HealthMonitors only applied to top-level resources.
    
```

# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-node
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```


### C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.WorkloadMonitor
  output-folder: $(csharp-sdks-folder)/workloadmonitor/Microsoft.Azure.Management.WorkloadMonitor/src/Generated
  clear-output-folder: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.workloadmonitor
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-workloadmonitor
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2020-01-13-preview
  - tag: package-2018-08-31-preview
```

### Tag: package-2018-08-31-preview and java

These settings apply only when `--tag=package-2018-08-31-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2018-08-31-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.workloadmonitor.v2018_08_31_preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/workloadmonitor/mgmt-v2018_08_31_preview
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-01-13-preview and java

These settings apply only when `--tag=package-2020-01-13-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2020-01-13-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.workloadmonitor.v2020-01-13-preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/workloadmonitor/mgmt-v2020-01-13-preview
regenerate-manager: true
generate-interface: true
```



